Update the business profile for a phone number
curl --request POST \
--url https://api.polymorfa.com/{version}/{phoneNumberId}/whatsapp_business_profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messaging_product": "<string>",
"about": "<string>",
"address": "<string>",
"description": "<string>",
"email": "<string>",
"profile_picture_handle": "<string>",
"websites": [
"<string>"
],
"vertical": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messaging_product: '<string>',
about: '<string>',
address: '<string>',
description: '<string>',
email: '<string>',
profile_picture_handle: '<string>',
websites: ['<string>'],
vertical: '<string>'
})
};
fetch('https://api.polymorfa.com/{version}/{phoneNumberId}/whatsapp_business_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/{version}/{phoneNumberId}/whatsapp_business_profile"
payload = {
"messaging_product": "<string>",
"about": "<string>",
"address": "<string>",
"description": "<string>",
"email": "<string>",
"profile_picture_handle": "<string>",
"websites": ["<string>"],
"vertical": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/{version}/{phoneNumberId}/whatsapp_business_profile"
payload := strings.NewReader("{\n \"messaging_product\": \"<string>\",\n \"about\": \"<string>\",\n \"address\": \"<string>\",\n \"description\": \"<string>\",\n \"email\": \"<string>\",\n \"profile_picture_handle\": \"<string>\",\n \"websites\": [\n \"<string>\"\n ],\n \"vertical\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.polymorfa.com/{version}/{phoneNumberId}/whatsapp_business_profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'messaging_product' => '<string>',
'about' => '<string>',
'address' => '<string>',
'description' => '<string>',
'email' => '<string>',
'profile_picture_handle' => '<string>',
'websites' => [
'<string>'
],
'vertical' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": 123,
"fbtrace_id": "<string>",
"error_subcode": 123,
"error_data": null
}
}Graph API
Update the business profile for a phone number
POST
/
{version}
/
{phoneNumberId}
/
whatsapp_business_profile
Update the business profile for a phone number
Authorizations
Polymorfa organization key (titan_ prefix) or project token (titan_pt_ prefix). Client tokens are not accepted by Graph operations.
Path Parameters
Example:
"v21.0"
Example:
"123456789012345"
Body
application/json
Response
Updated